> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook/policy-subscription-flow/pharmacy-treatment-flow.md).

# Pharmacy Treatment Flow

### Pharmacy Treatment Flow

**Note:** Each Pharmacy within our network is shared a copy of all customer's details from the day a customer subscribes to a health policy. Therefore, once a customer gets to its preferred pharmacy outlet;

1. The Pharmacy confirms the customers policy ID
2. Pharmacy carries out Malaria test on the customer using either RDT/UMT/Lab test where available.
3. If customer tests positive to Malaria, the Pharmacist dispenses malaria drugs to the customer
4. If customer tests negative to Malaria, the Pharmacist dispenses pain relief drugs to the customer and advises the customer to go to a hospital for further test/treatment.

### Pharmacy Visit Report

The customer's Pharmacy visit report (i.e the details about a customer's pharmacy visit) is sent to each Partner company at the end of each month.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/guide/customer-journey-guidebook/policy-subscription-flow/pharmacy-treatment-flow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
